Docs
Developer CenterDashboardesimoa.com
    • Introduction
    • Quickstart
    • Authentication
    • Overview
    • List eSIMs
    • Get an eSIM
    • Countries
    • OpenAPI
    • Tracking & commission
    • Rate limits & errors
    • Overview
    • Claude
    • ChatGPT
    • Gemini
    • Other MCP clients
    • Overview
    • Authentication
    • Products
    • Product detail
    • Countries
    • Errors & rate limits
  1. Docs
  2. Partner API (B2B)
  3. Countries

Partner API (B2B)

Countries

GET /b2b/v1/countries — list countries that have products on sale, with Korean or English names.

On this page
  • Request
  • Query parameters
  • Response

Request#

GET/b2b/v1/countries
curl "https://api.esimoa.com/b2b/v1/countries?lang=en" \
  -H "X-API-Key: $ESIMOA_PARTNER_KEY"
const res = await fetch('https://api.esimoa.com/b2b/v1/countries?lang=en', {
  headers: { 'X-API-Key': process.env.ESIMOA_PARTNER_KEY },
});
const { data: countries } = await res.json();
res = requests.get(
    "https://api.esimoa.com/b2b/v1/countries",
    params={"lang": "en"},
    headers={"X-API-Key": os.environ["ESIMOA_PARTNER_KEY"]},
    timeout=10,
)
countries = res.json()["data"]

Query parameters#

ParameterTypeDescription
lang'ko' | 'en'Language of country names (default ko)

Response#

200 OKjson
{
  "success": true,
  "data": [
    { "countryCode": "AU", "name": "Australia", "planCount": 64 },
    { "countryCode": "JP", "name": "Japan", "planCount": 128 }
  ]
}
FieldTypeDescription
countryCodestringISO 3166-1 alpha-2 country code
namestringCountry name (in lang)
planCountinteger?Number of products on sale — omitted when unknown

The list is sorted by country name in the requested language. Countries without products and multi-country products are excluded — find multi-country products with isMultiCountry=true in product search.

Last updated: October 1, 2026

PreviousProduct detailNextErrors & rate limits

On this page

  • Request
  • Query parameters
  • Response

APIs and MCP for bringing esimoa eSIMs to your product

Resources

  • Docs
  • API reference
  • Partner API (B2B)
  • MCP server
  • OpenAPI spec

esimoa

  • Home
  • eSIM plans
  • Developer Center
  • Dashboard
  • Partner portal

Company

  • About Us
  • Partnership
  • Terms of Service
  • Privacy Policy
  • Delivery & Refunds Policy

Support

  • support@esimoa.com
  • Support chat

NBase Korea Co., Ltd.

902, Bldg A, 767 Sinsu-ro, Suji-gu, Yongin-si, Gyeonggi-do (Dongcheon-dong, Bundang Suji U-TOWER)

US Headquarters: NBASE CORP. · Corporate Park, Irvine, CA 92606, USA

© 2026 esimoa. All rights reserved.